NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | List of all members
NXOpen.Features.RPOBuilder Class Reference

Represents a RPO builder. More...

Inheritance diagram for NXOpen.Features.RPOBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.HoleFeatureBuilder

Public Types

enum  AssociativityType {
  EndPoint, ArcCenter, Tangency, EndPoint1,
  EndPoint2, VerticalCenterline1, VerticalCenterline2, HorizontalCenterline1,
  HorizontalCenterline2
}
 Represents the associativity type for a dimension entity More...
 

Public Member Functions

unsafe void ApplyDimensions ()
 Transforms the feature by applying the positioning dimensions More...
 
unsafe NXOpen.Features.RPODimension CreateDimension ()
 Creates a new empty RPODimension object More...
 
unsafe void CreatePositioningDimension ()
 Creates a positioning dimension. More...
 
unsafe void GetReferenceDirection (out NXOpen.IReferenceAxis reference, out NXOpen.AxisOrientation orientation)
 Query/Set a horizontal or vertical reference for the feature. More...
 
unsafe
NXOpen.Features.RPODimension[] 
GetRpoDimensions ()
 Gets the list of RPO dimemsions More...
 
unsafe void HidePositioningDimensions ()
 Hides display of all the positioning dimensions More...
 
unsafe void SetExpression (string expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen.Features.RPOBuilder.SetTargetAndTool . More...
 
unsafe void SetReferenceDirection (NXOpen.IReferenceAxis reference, NXOpen.AxisOrientation orientation)
 Sets a horizontal or vertical reference for the feature. More...
 
unsafe void SetRpoDimensions (NXOpen.Features.RPODimension[] dimensions)
 Sets the list of RPO dimemsions More...
 
unsafe void SetTargetAndTool (NXOpen.PositioningDimension.Subtype subtype, NXOpen.NXObject target, NXOpen.Features.RPOBuilder.AssociativityType targetAssociativity, NXOpen.Point3d targetHelpPoint, NXOpen.NXObject tool, NXOpen.Features.RPOBuilder.AssociativityType toolAssociativity, NXOpen.Point3d toolHelpPoint)
 Sets the target and tool entities. More...
 
unsafe void ShowPositioningDimensions ()
 Displays all the positioning dimensions More...
 
unsafe void UndoLastDimension ()
 Undo the last positioning dimension More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Detailed Description

Represents a RPO builder.

It provides methods to create positioning dimensions to position the feature which is being created.

This is an abstract class, and cannot be instantiated

Created in NX3.0.0

Member Enumeration Documentation

Represents the associativity type for a dimension entity

Enumerator
EndPoint 

End-point (determined from 3d help point)

ArcCenter 

Arc-center

Tangency 

Tangency

EndPoint1 

1st end point (at minimum parameter value)

EndPoint2 

2nd end point

VerticalCenterline1 

vertical centerline end point 1

VerticalCenterline2 

vertical centerline end point 2

HorizontalCenterline1 

horizontal centerline end point 1

HorizontalCenterline2 

horizontal centerline end point 2

Member Function Documentation

unsafe void NXOpen.Features.RPOBuilder.ApplyDimensions ( )
inline

Transforms the feature by applying the positioning dimensions

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.RPODimension NXOpen.Features.RPOBuilder.CreateDimension ( )
inline

Creates a new empty RPODimension object

Created in NX4.0.0

License requirements: None.

Returns
The RPO dimensions
unsafe void NXOpen.Features.RPOBuilder.CreatePositioningDimension ( )
inline

Creates a positioning dimension.

This is third and the last step in creating a positioning dimension.

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.RPOBuilder.GetReferenceDirection ( out NXOpen.IReferenceAxis  reference,
out NXOpen.AxisOrientation  orientation 
)
inline

Query/Set a horizontal or vertical reference for the feature.

A reference is required to be set before creating a Horizontal or Vertical positioning dimension.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referenceReference entity
orientationOrientation of reference
unsafe NXOpen.Features.RPODimension [] NXOpen.Features.RPOBuilder.GetRpoDimensions ( )
inline

Gets the list of RPO dimemsions

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Returns
The RPO dimensions
unsafe void NXOpen.Features.RPOBuilder.HidePositioningDimensions ( )
inline

Hides display of all the positioning dimensions

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.RPOBuilder.SetExpression ( string  expression)
inline

Sets the expression value in order to constrain the target and tool entities which are set using NXOpen.Features.RPOBuilder.SetTargetAndTool .

This is the second step in creating a positioning dimension. This step is not needed for NXOpen.PositioningDimension.Subtype.PointOntoPoint , NXOpen.PositioningDimension.Subtype.PointOntoLine and NXOpen.PositioningDimension.Subtype.LineOntoLine

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
expressionExpression string
unsafe void NXOpen.Features.RPOBuilder.SetReferenceDirection ( NXOpen.IReferenceAxis  reference,
NXOpen.AxisOrientation  orientation 
)
inline

Sets a horizontal or vertical reference for the feature.

A reference is required to be set before creating a NXOpen.PositioningDimension.Subtype.Horizontal or NXOpen.PositioningDimension.Subtype.Vertical subtype of positioning dimension.

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referenceReference entity
orientationOrientation of reference
unsafe void NXOpen.Features.RPOBuilder.SetRpoDimensions ( NXOpen.Features.RPODimension[]  dimensions)
inline

Sets the list of RPO dimemsions

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
dimensionsThe RPO dimensions
unsafe void NXOpen.Features.RPOBuilder.SetTargetAndTool ( NXOpen.PositioningDimension.Subtype  subtype,
NXOpen.NXObject  target,
NXOpen.Features.RPOBuilder.AssociativityType  targetAssociativity,
NXOpen.Point3d  targetHelpPoint,
NXOpen.NXObject  tool,
NXOpen.Features.RPOBuilder.AssociativityType  toolAssociativity,
NXOpen.Point3d  toolHelpPoint 
)
inline

Sets the target and tool entities.

This is the first step in creating a positioning dimension. A positioning dimension constraints two entities. These two entities are referred to as target and tool enitities. The tool entity is selected from the tool body which is being created. For example, if a Pad is being created then the tool entity can be an edge of the Pad. The target entity is an entity which does not belong to the tool body which is being created.

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
subtypeSubtype of dimension
targetTarget entity
targetAssociativityAssociativity for target entity
targetHelpPointHelp point for taregt entity
toolTool entity
toolAssociativityAssociativity for tool entity
toolHelpPointHelp point for tool entity
unsafe void NXOpen.Features.RPOBuilder.ShowPositioningDimensions ( )
inline

Displays all the positioning dimensions

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.RPOBuilder.UndoLastDimension ( )
inline

Undo the last positioning dimension

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.